/*
 * Created on May 11, 2004
 * CreditsPanel.java
 */
/* 
 * This  program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published  by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be  useful,  but
 * WITHOUT   ANY   WARRANTY;   without  even  the  implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE.   See  the  GNU
 * General Public License for more details.
 *
 * You  should  have  received  a copy of the GNU General Public License
 * along  with  this  program;  if  not,  write  to  the  Free  Software
 * Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 */
package pzapplet;

import javax.swing.*;
import java.awt.*;

/**
 * Credits and acknowledgments for the Applet.
 * 
 * @author Brian Williams
 *
 */
public class CreditsPanel extends GraphPanel {

	/**
	 * Creates a new CreditsPanel.
	 */
	public CreditsPanel() {
		this.setup();
	}

	/* (non-Javadoc)
	 * @see pzapplet.GraphPanel#setup()
	 */
	public void setup() {
		this.createLabels();
	}

	/* (non-Javadoc)
	 * @see pzapplet.GraphPanel#updateGraphics(pzapplet.LinearSystemHolder)
	 */
	public void updateGraphics(LinearSystemHolder sys) {
		// Do Nothing here
	}

	private void createLabels() {
		SpringLayout layout = new SpringLayout();
		this.setLayout(layout);
		String myNameText =
			"<html><font size='5'>PoleZeroApplet Version 1.0</font><br><font size='4'>http://web.mit.edu/6.302/www/pz/<br><br>Written by Brian Williams, bwilliams@alum.mit.edu<br>"
				+ "Copyright 2004 Brian Williams.</font><html>";
		String profText =
			"<html><font size='4'>Written for MIT 6.302 Feedback Systems</font><br>http://web.mit.edu/6.302/www/</html>";

		String licenseText =
			"<html><font size='4'>Under the supervision of Dr. Kent Lundberg</font><br>http://web.mit.edu/klund/www/<html>";
		String licenseText2 =
			"<html>This program is free software; you can redistribute it and/or modify it"
				+ " under <br>the terms of the GNU General Public License as published by the"
				+ " Free Software Foundation;<br>either version 2 of the License, or (at your"
				+ " option) any later version.</html>";
		String licenseText3 =
			"<html>This program is distributed in the hope that it will be useful, but"
				+ " WITHOUT ANY WARRANTY;<br>without even the implied warranty of"
				+ " MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.<br>See the GNU General"
				+ " Public License for more details.</html>";
		String licenseText4 = "This program includes code from:";
		String ack1Text =
			"<html>Sandy Anderson's complex number package v1.0.1<br>(Available from http://www.netlib.org/)</html>";
		String ack2Text =
			"<html>NIST's matrix package JAMA v1.0.1<br>(Available from: http://math.nist.gov/javanumerics/jama/)</html>";

		JLabel myName = new JLabel(myNameText);
		JLabel profName = new JLabel(profText);
		JLabel ack1 = new JLabel(ack1Text);
		JLabel ack2 = new JLabel(ack2Text);
		JLabel license1 = new JLabel(licenseText);
		JLabel license2 = new JLabel(licenseText2);
		JLabel license3 = new JLabel(licenseText3);
		JLabel license4 = new JLabel(licenseText4);

		this.add(license1);
		this.add(license2);
		this.add(license3);
		this.add(license4);
		this.add(myName);
		this.add(profName);
		this.add(ack1);
		this.add(ack2);

		license1.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		license2.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		license3.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		license4.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		myName.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		profName.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		ack1.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));
		ack2.setMaximumSize(
			new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE));

		//		Constraints to put title bar along top
		layout.putConstraint(
			SpringLayout.NORTH,
			myName,
			10,
			SpringLayout.NORTH,
			this);
		layout.putConstraint(
			SpringLayout.EAST,
			myName,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			myName,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put my name along top
		layout.putConstraint(
			SpringLayout.NORTH,
			profName,
			20,
			SpringLayout.SOUTH,
			myName);
		layout.putConstraint(
			SpringLayout.EAST,
			profName,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			profName,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put license1 below that
		layout.putConstraint(
			SpringLayout.NORTH,
			license1,
			20,
			SpringLayout.SOUTH,
			profName);
		layout.putConstraint(
			SpringLayout.EAST,
			license1,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			license1,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put license2 name below that
		layout.putConstraint(
			SpringLayout.NORTH,
			license2,
			20,
			SpringLayout.SOUTH,
			license1);
		layout.putConstraint(
			SpringLayout.EAST,
			license2,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			license2,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put license3 name below that
		layout.putConstraint(
			SpringLayout.NORTH,
			license3,
			10,
			SpringLayout.SOUTH,
			license2);
		layout.putConstraint(
			SpringLayout.EAST,
			license3,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			license3,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put license4 name below that
		layout.putConstraint(
			SpringLayout.NORTH,
			license4,
			30,
			SpringLayout.SOUTH,
			license3);
		layout.putConstraint(
			SpringLayout.EAST,
			license4,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			license4,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put ack1 below that
		layout.putConstraint(
			SpringLayout.NORTH,
			ack1,
			10,
			SpringLayout.SOUTH,
			license4);
		layout.putConstraint(
			SpringLayout.EAST,
			ack1,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			ack1,
			0,
			SpringLayout.WEST,
			this);

		//		Constraints to put ack2 below that
		layout.putConstraint(
			SpringLayout.NORTH,
			ack2,
			10,
			SpringLayout.SOUTH,
			ack1);
		layout.putConstraint(
			SpringLayout.EAST,
			ack2,
			0,
			SpringLayout.EAST,
			this);
		layout.putConstraint(
			SpringLayout.WEST,
			ack2,
			0,
			SpringLayout.WEST,
			this);
	}
}
