/*
 * Created on Mar 15, 2004
 * GraphPanel.java
 *//* 
* This  program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published  by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
*
* This program is distributed in the hope that it will be  useful,  but
* WITHOUT   ANY   WARRANTY;   without  even  the  implied  warranty  of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE.   See  the  GNU
* General Public License for more details.
*
* You  should  have  received  a copy of the GNU General Public License
* along  with  this  program;  if  not,  write  to  the  Free  Software
* Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA.
*/
package pzapplet;

import javax.swing.JPanel;

/**
 * 
 * Abstract class defining a type of JPanel that specifically
 * contains a GraphPlot that can be updated.
 * 
 * Any JPanel added to PZOutputGraphs must extend this class.
 * 
 * @author Brian Williams
 * 
 *
 * 
 */
public abstract class GraphPanel extends JPanel {

	/**
	 * Ensures extending classes implement a setup() method.
	 * The setup method should arrange child panes, set the 
	 * background, border and any labels.
	 *
	 */
	protected abstract void setup();
	
	/**
	 * Ensures extending classes implement this method, which
	 * is used to pass information from the main applet class
	 * to the panels that draw the graphs.
	 * 
	 * @param systems - The LinearSystemHolder that contains data
	 * 					to be plotted.
	 */
	public abstract void updateGraphics(LinearSystemHolder systems);


}
