/*
 * Created on Feb 14, 2004
 * LinearSystem.java
 *//* 
* This  program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published  by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
*
* This program is distributed in the hope that it will be  useful,  but
* WITHOUT   ANY   WARRANTY;   without  even  the  implied  warranty  of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE.   See  the  GNU
* General Public License for more details.
*
* You  should  have  received  a copy of the GNU General Public License
* along  with  this  program;  if  not,  write  to  the  Free  Software
* Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA.
*/
package pzapplet;

/**
 * A representation of a system as a FreqResponse and StepResponse.
 * 
 * @author Brian Williams
 *
 */
public class LinearSystem {
	
	// Private variables for each LinearSystem representing the Frequency
	// Response and StepResponse Responses of a LinearSystem
	private FreqResponse freq;
	private StepResponse step;
		
	/**
	 * @param f - Frequency Response to a LinearSystem
	 * @param s - StepResponse Response to a LinearSystem
	 * 
	 * If either are null, they are kept as part of the system as null.
	 * Those null values will need to be handled later when processing
	 * the outputs for each system.
	 */
	public LinearSystem(FreqResponse f, StepResponse s) {
		this.freq = f;
		this.step = s;
	}

	/**
	 * @return - FreqResponse of this system
	 */
	protected FreqResponse getFreq() {
		return freq;
	}

	/**
	 * @return - StepResponse of this system
	 */
	protected StepResponse getStep() {
		return step;
	}

}
