/*
 * Created on Mar 13, 2004
 * PZOutputGraphs.java
 *//* 
* This  program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published  by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
*
* This program is distributed in the hope that it will be  useful,  but
* WITHOUT   ANY   WARRANTY;   without  even  the  implied  warranty  of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE.   See  the  GNU
* General Public License for more details.
*
* You  should  have  received  a copy of the GNU General Public License
* along  with  this  program;  if  not,  write  to  the  Free  Software
* Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA.
*/
package pzapplet;

import javax.swing.JTabbedPane;

/**
 * 
 * Creates a JTabbedPane that holds the separate panes that are output 
 * by the PZApplet.  
 * 
 * @author Brian Williams
 *
 */
public class PZOutputGraphs extends JTabbedPane {
	// Reference to the PZApplet
	private PoleZeroApplet pzApplet;
	
	// Holds the panels that are outputs of the applet
	private BodePlotPanel bodePlot = new BodePlotPanel();
	private NyquistPanel nyquist = new NyquistPanel();
	private NicholsPanel nichols = new NicholsPanel();
	private StepResponsePanel step = new StepResponsePanel();
	private CreditsPanel credits = new CreditsPanel();


	/**
	 * @param pzApp - Reference to calling PZApplet, cannot be null
	 * 
	 * Creates a new PZOutputGraphs.
	 * 
	 */
	public PZOutputGraphs(PoleZeroApplet pzApp) {
		this.pzApplet=pzApp;
		this.setOpaque(true);
		this.addTab("Bode Plot", bodePlot);
		this.addTab("Nichols Plot", nichols);		
		this.addTab("Nyquist Plot", nyquist);
		this.addTab("Step Response", step);
		this.addTab("About This Applet", credits);

	}

	/**
	 * @param sys - LinearSystemHolder representing all systems to be graphed
	 * 
	 * This updates the current panel displayed to graph the data in sys
	 */
	public void updateGraphics(LinearSystemHolder sys) {
		((GraphPanel)this.getSelectedComponent()).updateGraphics(sys);
		repaint();
	}
	
	
	/* (non-Javadoc)
	 * @see javax.swing.JTabbedPane#setSelectedIndex(int)
	 */
	public void setSelectedIndex(int arg0) {
		super.setSelectedIndex(arg0);
		if (pzApplet.getMode() != null)
			pzApplet.updateApplet();
	}

}
